# This file is part of Tryton.  The COPYRIGHT file at the top level of
# this repository contains the full copyright notices and license terms.

from trytond.model.exceptions import ValidationError
from trytond.exceptions import UserError, UserWarning


class CrmConfigurationError(UserError):
    pass


class CustomerServiceError(ValidationError):
    pass

class IncompletePartyValidation(UserError):
    pass

class ChangeStateWarning(UserWarning):
    pass
